#include "Arduino.h"
#include <nvs_ext.h>
//
NVS nvs("ESP32"); //create new nvs object named "ESP32"

String str;
int i;
long long ll;
void* g;
float_t f=3.14;
float_t k;
size_t h=0;


void setup()
{
	Serial.begin(115200);

	nvs.open();
	nvs.clear() ;                                  		// Remove all old items if You want

	nvs.setstr("Name" , "Hello World!");				// String Name="Hello World!";
    str=nvs.getstr ( "Name" ) ;                        	// String str=Name;

	nvs.setint("Int1",6677);							// int Int1=6677;
    i=nvs.getint("Int1");								// int i=Int1;

    nvs.setint("Int1", 6678);							// Int1=6678;
	i=nvs.getint("Int1");								// i=Int1;

	nvs.setlonglong("longlongnum", 1234567890);			// long long longlongnum=1234567890
	ll=nvs.getlonglong("longlongnum");					// long long ll=longlongnum;

	nvs.setlonglong("longlongnum", 1234567898);			// longlongnum=1234567898;
	ll=nvs.getlonglong("longlongnum");					// ll=longlongnum;

	str=nvs.getstr ( "Name1" ) ;                        // String str=Name is unknown ESP_ERR_NVS_NOT_FOUND

	nvs.setfloat("Float", 3.14);						// float Float=3.41;
	nvs.setfloat("Float", 2.71);						// Float=2.71;
	k =nvs.getfloat("Float");							// k=Float;


	nvs.~NVS();											// close nvs("ESP32") and remove the nvs object



}

void loop()
{
//Add your repeated code here
}

//Events from nvs_ext library for debug, if not used, delete it
void nvs_info(const char* info){
	Serial.print(info);

}
